# ApiPerfInspectorBandwidthArgs Data Model

Arguments to run bandwidth diagnostics as part of performance inspector. Requires iperf3 package installed on hosts.

Properties
name | data type | description
--- | --- | ---
runBandwidthDiagnostics | boolean | Optional flag to run bandwidth diagnostics test. Exercise caution, running bandwidth test will have an impact on currently running workloads. If not specified, defaults to false.
bandwidthTimeoutSecs | number | Timeout in seconds for the bandwidth request to each target host. If not specified, defaults to 10 seconds.

Example

    {
      "runBandwidthDiagnostics" : false,
      "bandwidthTimeoutSecs" : 10
    }